# Class VulkanLWJGLImageView

java.lang.Object
com.io7m.jcoronado.lwjgl.internal.VulkanLWJGLImageView

All Implemented Interfaces:
  `VulkanHandleNonDispatchableType`, `VulkanHandleType`, `VulkanImageViewType`, `AutoCloseable`

public final class VulkanLWJGLImageView extends Object implements VulkanImageViewType
LWJGL `VulkanImageViewType`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final void`
  `checkNotClosed()`
  `final void`
  `close()`
  Destroy the object.
  `protected void`
  `closeActual()`
  `final boolean`
  `equals(Object o)`
  `final long`
  `handle()`
  `final int`
  `hashCode()`
  `final VulkanLWJGLHostAllocatorProxy`
  `hostAllocatorProxy()`
  `VulkanImageType`
  `image()`
  `final boolean`
  `isClosed()`
  `protected org.slf4j.Logger`
  `logger()`
  `final String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.jcoronado.api.VulkanHandleType

  `isClosed`

  ### Methods inherited from interface com.io7m.jcoronado.api.VulkanImageViewType

  `close`

- ## Method Details

  - ### logger

    protected org.slf4j.Logger logger()

  - ### closeActual

    protected void closeActual()

  - ### image

    public VulkanImageType image()
    Specified by:
      `image` in interface `VulkanImageViewType`
    Returns:
      The image to which this image view refers

  - ### hostAllocatorProxy

    public final VulkanLWJGLHostAllocatorProxy hostAllocatorProxy()
    Returns:
      The underlying host allocator proxy

  - ### isClosed

    public final boolean isClosed()
    Specified by:
      `isClosed` in interface `VulkanHandleType`
    Returns:
      `true` iff the handle has been destroyed with `VulkanHandleType.close()`
    See Also:
      - `VulkanHandleType.close()`

  - ### close

    public final void close()
    Description copied from interface: `VulkanHandleType`
    Destroy the object.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `VulkanHandleType`

  - ### equals

    public final boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public final int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public final String toString()
    Overrides:
      `toString` in class `Object`

  - ### handle

    public final long handle()
    Returns:
      The raw handle

  - ### checkNotClosed

    protected final void checkNotClosed() throws VulkanDestroyedException
    Throws:
      `VulkanDestroyedException`